%bcond_without	tests	# unit tests

Summary:	Documentation Utilities
Summary(pl.UTF-8):	Narzędzia do tworzenia dokumentacji
Name:		python-docutils
Version:	0.18.1
Release:	7
License:	Public Domain, BSD, GPL v3 (see COPYING.txt)
Group:		Development/Tools
# original URL, but only with major releases: http://downloads.sourceforge.net/docutils/%{name}-%{version}.tar.gz
#Source0Download: https://pypi.org/simple/docutils/
Source0:	https://files.pythonhosted.org/packages/source/d/docutils/docutils-%{version}.tar.gz
# Source0-md5:	ca5827e2432fd58f4c8d74a6591135de
URL:		http://docutils.sourceforge.net/
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
# py3 patch assumes python3 lexer is the default, as it is since pygments 2.5.0
BuildRequires:	python-pygments >= 2.5.0
# a few tests fail with _xmlplus implementation of xml
BuildConflicts:	python-PyXML
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Docutils are utilities for general- and special-purpose documentation,
including autodocumentation of Python modules. Includes
reStructuredText, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.

This package provides the Docutils modules for Python 2.

%description -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet dostarcza moduły Docutils dla Pythona 2.

%package -n docutils-2
Summary:	Documentation Utilities for Python 2.x
Summary(pl.UTF-8):	Narzędzia do tworzenia dokumentacji dla Pythona 2.x
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description -n docutils-2
Utilities for general- and special-purpose documentation, including
autodocumentation of Python modules. Includes reStructuredText, the
easy to read, easy to use, what-you-see-is-what-you-get plaintext
markup language.

This package provides the Docutils for Python 2.

%description -n docutils-2 -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet zawiera Docutils dla Pythona 2.

%prep
%setup -q -n docutils-%{version}

%build
%{__python} setup.py config build -b build-2

%if %{with tests}
PYTHONPATH=$(pwd)/build-2/lib \
%{__python} test/alltests.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

for f in $RPM_BUILD_ROOT%{_bindir}/*.py ; do
	%{__mv} "${f}" "${f%.py}-2"
done

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS.txt COPYING.txt README.txt RELEASE-NOTES.txt THANKS.txt docs
%{py_sitescriptdir}/docutils
%{py_sitescriptdir}/docutils-%{version}-py*.egg-info

%files -n docutils-2
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rst*-2
%changelog
* Mon Feb 10 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-docutils.git;a=log;h=master

* Mon Feb 10 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 24ad997
- Rel 7; fix R deps

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> bf2e2b9
- docutils for python2 from docutils.spec

* Wed Apr 07 2010 Jacek Konieczny <jajcus@pld-linux.org> c819bda
- WTF? The same package was maintained in two separate PLD spec files
  (docutils.spec and python-docutils.spec) since 2004!
  This should be two packages (docutils & python-docutils) built from one
  spec, not two packages with the same content.
  Keeping current docutils.spec, although it was 'less maintained' as it
  has the most current version now.

* Sun Nov 16 2008 wrobell <wrobell@pld-linux.org> 25a349f
- rel. 2

* Fri Oct 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 07b6680
- python BRs

* Thu Oct 16 2008 wrobell <wrobell@pld-linux.org> e8be445
- force roman module installation

* Thu Oct 16 2008 wrobell <wrobell@pld-linux.org> c662bda
- ver. 0.5

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 10ad0ae
- release 4

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c322ff0
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5fd3906
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b16eeeb
- converted to UTF-8

* Thu Oct 05 2006 Elan Ruusamäe <glen@pld-linux.org> 9bd1ed2
- minor

* Wed Oct 04 2006 Patryk Zawadzki <patrys@room-303.com> f60129a
- package roman.py*
- rel. 2

* Sat Jun 03 2006 Jacek Konieczny <jajcus@pld-linux.org> c07b05e
- Version: 0.4

* Mon May 30 2005 radzio <radzio@pld-linux.org> cfe2ffe
- 0.3.9

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 66816b2
- mass commit: remove obsolete BR: rpm-pythonprov

* Wed Dec 15 2004 radek <radek@pld-linux.org> 4e83e44
- minor License unifications

* Sat Nov 27 2004 saq <saq@pld-linux.org> 61854ae
- massive attack: added missing python-devel epoch do BR

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> e1e3c71
- spelling fixes, uppercases, etc.

* Fri Sep 10 2004 Jacek Konieczny <jajcus@pld-linux.org> 8b19e36
- Version 0.3.5
- "mv" usage removed from %install
- removed ".py" suffix from all executables
- all installed executables included in the package

